PUT
/v1/orders/{id}/addressPUT /v1/orders/{id}/address
Scopes: orders:orders:write
Requires scope: orders:orders:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | integer<int64> | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
first_name | string | no | |
last_name | string | no | |
company | string | no | |
address1 | string | no | |
address2 | string | no | |
city | string | no | |
state | string | no | |
zip | string | no | |
country | string | no | |
phone | string | no | |
email | string | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
id | integer<int64> | no | |
message | string | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.PUT('/v1/orders/{id}/address', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);